Subject: Re: Customer Service Advisor - Work From Home - Phone Support - Charity Gay Guba applied on Indeed
From: "Charity Gay Guba" <[email-masked]>
To: CHERRY E COMMERCE SERVICES P LTD <[email-masked]>
Date: Sun, 16 Oct 2022 23:58:06 -0500 (CDT)

Ma'am, I haven't filled out the form because I still need to secure my new passport. I already booked an appointment with the Department of Foreign Affairs for the renewal of my passport the soonest possible available time slot. I was already given a schedule. Hoping for your kind understanding on the matter. Thank you.

Suspect spam or fraud?
Report this message to Indeed <https://www.indeed.com/feedback?contentId=%3C3c4da571-9c60-4e86-a265-8d7ad12c7acc%40indeedemail.com%3E&hl=en_PH&co=PH>

Indeed processes and analyzes your activity in this email.

By replying or using an indeedemail.com email address, you agree that messages will be processed and analyzed according to Indeed’s Cookie Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#cookies>, Privacy Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#privacy>, and Terms of Service <https://www.indeed.com/legal?hl=en&amp;co=PH#tos>.